# Uses of Class
java.beans.PropertyDescriptor

Packages that use PropertyDescriptor
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of PropertyDescriptor in java.beans

Subclasses of PropertyDescriptor in java.beans
Modifier and Type
Class
Description
`class`
`IndexedPropertyDescriptor`
An IndexedPropertyDescriptor describes a property that acts like an array and has an indexed read and/or indexed write method to access specific elements of the array.
Methods in java.beans that return PropertyDescriptor
Modifier and Type
Method
Description
`PropertyDescriptor[]`
BeanInfo.`getPropertyDescriptors()`
Returns descriptors for all properties of the bean.
`PropertyDescriptor[]`
SimpleBeanInfo.`getPropertyDescriptors()`
Deny knowledge of properties.